petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCFieldSplitGetOffDiagUseAmat

get the flag indicating whether to extract off-diagonal blocks from Amat (rather than Pmat)

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitGetOffDiagUseAmat(PC pc,PetscBool *flg)

Logically Collective on PC

### Input Parameters

pc -the preconditioner object

### Output Parameters

flg -boolean flag indicating whether or not to use Amat to extract the off-diagonal blocks from

### See Also

PCFieldSplitSetOffDiagUseAmat(), PCFieldSplitGetDiagUseAmat(), PCFIELDSPLIT

Level:intermediate
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages